Auto Multiple Choice - Feature # 97: Change how Page Layout window is shown
Description: After Revision r1231:

Clicking the _Check Layouts_ button opens:
Ihttp://i46.tinypic.com/16718q0.png!

It waits for a moment and then it resizes to:
Ihttp://i46.tinypic.com/27ysl5l.png!

| think something like this is happening:

1. Page Layout Window frame is created with the default size.

2. The frame is made visible.

3. The frame is resized (to the size which has been remembered).
It will be better if it is changed to something like:

1. Create the Page Layout Window frame.

2. Resize it.

3. Now make the window visible.

It doesn't make much difference but | don't think the user needs to see the window being resized whenever
they click the _Check Layouts_ button.

History

11/29/2012 09:34 am - Alexis Bienveniie
- % Done changed from 0 to 100

- Status changed from New to Resolved

This should be better since revision r1240.

12/08/2012 03:15 pm - Anirvan Sarkar
Now clicking the _Check Layouts_ button opens:

Ihttp://i46.tinypic.com/swsuf8.png!

It waits for the image+boxes to be rendered and then:
Ihttp://i46.tinypic.com/2uihfzt.png!

It would be better if the Page layout Window is shown after the rendering.
12/10/2012 09:23 pm - Alexis Bienvenlie

> It would be better if the Page layout Window is shown after the rendering

| prefer to show quickly the user that his action (click on _Check layouts_) has been taken into account, even if the window is not fully rendered.
12/12/2012 04:13 pm - Anirvan Sarkar

Then could you add a progress bar or something similar to show that it is rendering? It is because the window remains blank for a few seconds and the
first few times it happened to me | feared that the application has hanged! | am used to it now but this will be helpful for those using slower pc's. They
will know that the window is being rendered instead of thinking that it has become unresponsive.

12/18/2012 04:51 pm - Alexis Bienvenlie

- Status changed from Resolved to In Progress

On my computer, a "waiting clock" pointer is shown during rendering. If | understand well, this is not the case for you?

12/26/2012 12:40 pm - Anirvan Sarkar

I don't think | have any "waiting clock" pointer shown during rendering as you can see in the above screenshot. | will check it again after | have updated
AMC.

12/26/2012 04:23 pm - Anirvan Sarkar

| have updated to Auto Multiple Choice 1.1.1267 (svn:1269).

Instead of a "waiting clock" pointer my pointer changes to a "throbber" while rendering most of the time (about 19 out of 20 times). The waiting pointer is
dependent on the Desktop Manager so it isn't an issue but sometimes (about 1 out of 20 times) a normal pointer is shown instead of a waiting pointer

and also the Page Layout window is not displayed properly before rendering when this happens.
Here is the screenshot for such rare cases:

Ihttp://i48.tinypic.com/2hoh2e9.png!

(The "Go to:", "Back" , "Quit" & "Forward" do not extend to the width of the window before rendering)

But this may not be a problem of AMC but of the Desktop Manager | am using? If is it like that then you may close this issue.

01/28/2021 08:32 pm - Alexis Bienveniie
- Status changed from In Progress to Closed
